## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver 6

Name:           tepl
Version:        6.8.0
Release:        %autorelease
Summary:        Text editor product line library
License:        LGPL-3.0-or-later
URL:            https://gitlab.gnome.org/swilmet/tepl
Source0:        https://download.gnome.org/sources/tepl/6.8/tepl-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(amtk-5)
BuildRequires:  pkgconfig(glib-2.0) >= 2.62
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
#BuildRequires:  pkgconfig(libgedit-amtk-5)
BuildRequires:  pkgconfig(libgedit-gtksourceview-300)
BuildRequires:  pkgconfig(icu-uc) pkgconfig(icu-i18n)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

# renamed with no API changes
sed -i -e 's|libgedit-amtk|amtk|g' meson.build docs/reference/meson.build


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%find_lang tepl-%{apiver}


%files -f tepl-%{apiver}.lang
%license LICENSES/*
%doc NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Tepl-%{apiver}.typelib
%{_libdir}/libtepl-%{apiver}.so.4{,.*}

%files devel
%{_includedir}/tepl-%{apiver}/
%{_libdir}/libtepl-%{apiver}.so
%{_libdir}/pkgconfig/tepl-%{apiver}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Tepl-%{apiver}.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/tepl-%{apiver}/


%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 31 2024 Pete Walter <pwalter@fedoraproject.org> - 6.8.0-2
- Rebuild for ICU 74

* Sun Jan 28 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 6.8.0-1
- Update to 6.8.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 23 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 6.6.0-1
- tepl 6.6.0

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 František Zatloukal <fzatlouk@redhat.com> - 6.4.0-2
- Rebuilt for ICU 73.2

* Mon May 15 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 6.4.0-1
- tepl 6.4.0

* Thu May 20 2021 Pete Walter <pwalter@fedoraproject.org> - 6.00.0-2
- Rebuild for ICU 69

* Wed Mar 24 2021 Kalev Lember <klember@redhat.com> - 6.00.0-1
- Update to 6.00.0

* Thu Feb 18 2021 Kalev Lember <klember@redhat.com> - 5.1.1-1
- Update to 5.1.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Kalev Lember <klember@redhat.com> - 5.0.1-1
- Update to 5.0.1

* Fri Sep 11 2020 Kalev Lember <klember@redhat.com> - 5.0.0-1
- Update to 5.0.0

* Fri Sep 04 2020 Kalev Lember <klember@redhat.com> - 4.99.4-1
- Update to 4.99.4

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.99.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Kalev Lember <klember@redhat.com> - 4.99.3-1
- Update to 4.99.3

* Fri May 29 2020 Kalev Lember <klember@redhat.com> - 4.99.2-1
- Update to 4.99.2
- Switch to the meson build system
- Drop the -tests subpackage (installed tests removed upstream)
- Remove old gtef obsoletes

* Thu Mar 05 2020 Kalev Lember <klember@redhat.com> - 4.4.0-1
- Update to 4.4.0

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 02 2019 Kalev Lember <klember@redhat.com> - 4.3.1-1
- Update to 4.3.1

* Wed Nov 27 2019 Kalev Lember <klember@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Mar 11 2019 Phil Wyett <philwyett@kathenas.org> - 4.2.0-1
- Update to 4.2.0

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Aug 04 2018 Kalev Lember <klember@redhat.com> - 3.0.0-4
- Obsolete gtef (#1612444)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 29 2017 Kalev Lember <klember@redhat.com> - 3.0.0-1
- Initial Fedora packaging

## END: Generated by rpmautospec
